Announcement

Collapse
No announcement yet.

Bought UT3, Can't Play Online

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Bought UT3, Can't Play Online

    Hey Guys, I just bought UT3 Retail about 2 weeks ago.
    When I tried to connect Multiplayer ( with UT3 Patch 1.1 installed ), It would say that
    " A Higher Version of UT3 is required to play online "
    Fine, applied The Ver 2.1 Patch the next day..
    Tried to connect to servers with low pings and all it would say is
    " Connection Failed "
    In some servers, it would connect, and just at the finish of a loading map it would again say "Connection Failed".
    Guys, Admins please Help me.
    I Paid for This.

    System Specs:
    ASUS P5GC-MX 1.84 Ghz (2CPU's)
    4GB DDR2 RAM
    nVIDIA 9800GT
    Windows XP SP3


    #2
    You need the Titan pack and Patch 2.1

    http://download.beyondunreal.com/fil...3TitanPack.exe

    Comment


      #3
      I Got Ver 2.1 Patch..
      But is the Titan Pack 100% COMPULSORY ?

      Comment


        #4
        Originally posted by Silverlance View Post
        I Got Ver 2.1 Patch..
        But is the Titan Pack 100% COMPULSORY ?
        Yes its MANDATORY!

        Comment


          #5
          Originally posted by Silverlance View Post
          I Got Ver 2.1 Patch..
          But is the Titan Pack 100% COMPULSORY ?
          You do need it since a lot of people use the Titan mutator.

          Comment


            #6
            STILL DOESN'T WORK,
            CAN'T CONNECT TO ANY **** SERVER.

            Enjoying Instant Action in Inhuman though.

            Comment

            Working...
            X